summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGustavo Zacarias <gustavo@zacarias.com.ar>2013-12-16 18:58:19 (GMT)
committer Peter Korsgaard <peter@korsgaard.com>2013-12-16 20:41:11 (GMT)
commit3c2107bb6c6ab988e2f7ce461679fae78e6d0fd9 (patch)
tree3839401a62080e1b573716fe943ae87667ac5adf
parent2727ec51ad4a143100e2d04b1a76cd50791f13ba (diff)
downloadbuildroot-3c2107bb6c6ab988e2f7ce461679fae78e6d0fd9.tar.gz
buildroot-3c2107bb6c6ab988e2f7ce461679fae78e6d0fd9.tar.bz2
cups: disable php extension
Such an old cups version isn't compatible with newer PHP series, so just disable it. Fixes: http://autobuild.buildroot.net/results/2dc/2dc985fc7cff6bd5d20fc074db4f6f7997dd81f5/ Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
-rw-r--r--package/cups/cups.mk9
1 files changed, 1 insertions, 8 deletions
diff --git a/package/cups/cups.mk b/package/cups/cups.mk
index 8a761a3..bcd6f1e 100644
--- a/package/cups/cups.mk
+++ b/package/cups/cups.mk
@@ -14,6 +14,7 @@ CUPS_INSTALL_STAGING_OPT = DESTDIR=$(STAGING_DIR) DSTROOT=$(STAGING_DIR) install
CUPS_INSTALL_TARGET_OPT = DESTDIR=$(TARGET_DIR) DSTROOT=$(TARGET_DIR) install
CUPS_CONF_OPT = --without-perl \
--without-java \
+ --without-php \
--disable-gnutls \
--disable-gssapi \
--libdir=/usr/lib
@@ -35,14 +36,6 @@ ifeq ($(BR2_PACKAGE_XORG7),y)
CUPS_DEPENDENCIES += xlib_libX11
endif
-ifeq ($(BR2_PACKAGE_PHP),y)
- CUPS_CONF_ENV += ac_cv_path_PHPCONFIG=$(STAGING_DIR)/usr/bin/php-config
- CUPS_CONF_OPT += --with-php
- CUPS_DEPENDENCIES += php
-else
- CUPS_CONF_OPT += --without-php
-endif
-
ifeq ($(BR2_PACKAGE_PYTHON),y)
CUPS_CONF_OPT += --with-python
CUPS_DEPENDENCIES += python